Bug 1787216 - Review Request: python-aiomysql - MySQL driver for asyncio
Summary: Review Request: python-aiomysql - MySQL driver for asyncio
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-01 14:56 UTC by Fabian Affolter
Modified: 2020-01-30 23:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-20 22:48:22 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-01 14:56:31 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiomysql.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiomysql-0.0.20-1.fc31.src.rpm

Project URL: https://github.com/aio-libs/aiomysql

Description:
aiomysql is a "driver" for accessing a MySQL database from the asyncio 
(PEP-3156/tulip) framework. It depends on and reuses most parts of PyMySQL.
aiomysql tries to be like awesome aiopg library and preserve same api, look
and feel.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40026983

rpmlint output:
$ rpmlint python-aiomysql-0.0.20-1.fc31.src.rpm 
python-aiomysql.src: W: spelling-error Summary(en_US) asyncio -> syncopation
python-aiomysql.src: W: spelling-error %description -l en_US asyncio -> syncopation
python-aiomysql.src: W: spelling-error %description -l en_US aiopg -> airdrop
python-aiomysql.src: W: spelling-error %description -l en_US api -> API, pi, ape
python-aiomysql.src:43: W: macro-in-comment %check
python-aiomysql.src:44: W: macro-in-comment %{buildroot}
python-aiomysql.src:44: W: macro-in-comment %{python3_sitelib}
python-aiomysql.src:44: W: macro-in-comment %{python3_version}
1 packages and 0 specfiles checked; 0 errors, 8 warnings.

$ rpmlint python3-pymeeus-0.3.6-1.fc31.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[fab@whitebox1113 noarch]$ rpmlint python3-aiomysql-0.0.20-1.fc31.noarch.rpm 
python3-aiomysql.noarch: W: spelling-error Summary(en_US) asyncio -> syncopation
python3-aiomysql.noarch: W: spelling-error %description -l en_US asyncio -> syncopation
python3-aiomysql.noarch: W: spelling-error %description -l en_US aiopg -> airdrop
python3-aiomysql.noarch: W: spelling-error %description -l en_US api -> API, pi, ape
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-07 17:56:54 UTC
 - Use %{python3_version} or a glob * instead of ?.? because Python 3.10 will break this package otherwise:

%{python3_sitelib}/%{pypi_name}-%{version}-py*.egg-info


 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-01-10 14:38:01 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-aiomysql

Comment 3 Fabian Affolter 2020-01-11 17:55:43 UTC
Thanks for the review.

Comment 4 Fedora Update System 2020-01-12 01:24:36 UTC
python-aiomysql-0.0.20-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c7649e1866

Comment 5 Fedora Update System 2020-01-12 01:52:55 UTC
python-aiomysql-0.0.20-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0e73003ad3

Comment 6 Fedora Update System 2020-01-20 22:48:22 UTC
python-aiomysql-0.0.20-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-01-30 23:29:53 UTC
python-aiomysql-0.0.20-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.